# Uses of Class
org.bukkit.enchantments.EnchantmentOffer

Packages that use EnchantmentOffer
Package
Description
org.bukkit.event.enchantment
`Events` triggered from an `enchantment table`.

## Uses of EnchantmentOffer in org.bukkit.event.enchantment

Methods in org.bukkit.event.enchantment that return EnchantmentOffer
Modifier and Type
Method
Description
`@Nullable EnchantmentOffer @NotNull []`
PrepareItemEnchantEvent.`getOffers()`
Get a list of available `EnchantmentOffer` for the player.
Constructors in org.bukkit.event.enchantment with parameters of type EnchantmentOffer
Modifier
Constructor
Description
``
`PrepareItemEnchantEvent(@NotNull Player enchanter, @NotNull InventoryView view, @NotNull Block table, @NotNull ItemStack item, @Nullable EnchantmentOffer @NotNull [] offers, int bonus)`